# The Docker image that will be used to build your app
image: rocker/verse:latest
pages:
  script:
    - mkdir public
    - quarto render --output-dir public
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
